<?php
/* $Id: holidays.ca.inc.php,v 1.3 2003/10/02 16:56:05 k-fish Exp $ */

if (date("dm", $date) == "0101") $holiday = Lang::getLanguageString("newyear");
elseif (date("dm", $date) == date("dm", get_weekday_onorbefore(1, mktime(0,0,0,5,24,date("Y",$date))))) $holiday = Lang::getLanguageString("victoriaday");
elseif (date("dm", $date) == "0107") $holiday = Lang::getLanguageString("canadaday");
elseif (date("dm", $date) == date("dm", get_first_weekday(1,8,date("Y",$date)))) $holiday = Lang::getLanguageString("civicholiday");
elseif (date("dm", $date) == date("dm", get_first_weekday(1,9,date("Y",$date)))) $holiday = Lang::getLanguageString("labourday");
elseif (date("dm", $date) == date("dm", get_first_weekday(1,10,date("Y",$date)))) $holiday = Lang::getLanguageString("thanksgiving");
elseif (date("dm", $date) == "1111") $holiday = Lang::getLanguageString("rememberanceday");
elseif (date("dm", $date) == "2512") $holiday = Lang::getLanguageString("firstchristmas");
elseif (date("dm", $date) == "2612") $holiday = Lang::getLanguageString("boxingday");
else {
    if (date("dm", $date) == date("dm", $easter-3600*24*2)) $holiday = Lang::getLanguageString("goodfriday");
    elseif (date("dm", $date) == date("dm", $easter)) $holiday = Lang::getLanguageString("eastersunday");
    elseif (date("dm", $date) == date("dm", $easter+3600*24*1)) $holiday = Lang::getLanguageString("eastermonday");
    else $holiday = ""; 
}
?>